<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.2"?>
<plugin>
	<extension point="org.eclipse.ui.views">
		<category
			name="StateChart"
			id="info.scce.cinco.product.statechart.simulator.views">
		</category>
		<view
			name="Triggers"
			category="info.scce.cinco.product.statechart.simulator.views"
			id="info.scce.cinco.product.statechart.simulator.views.TriggerView"
			class="info.scce.cinco.product.statechart.simulator.views.TriggerView"
			icon="icons/StateChart.png">
		</view>
		<view
			name="Variables"
			category="info.scce.cinco.product.statechart.simulator.views"
			id="info.scce.cinco.product.statechart.simulator.views.VariableView"
			class="info.scce.cinco.product.statechart.simulator.views.VariableView"
			icon="icons/StateChart.png">
		</view>
	</extension>
	<extension point="org.eclipse.ui.commands">
		<category
			name="StateChart"
			id="info.scce.cinco.product.statechart.simulator.commands">
		</category>
		<command
			name="Simulate state chart"
			categoryId="info.scce.cinco.product.statechart.simulator.commands"
			id="info.scce.cinco.product.statechart.simulator.commands.SimulateAction">
		</command>
		<command
			name="Refresh state chart"
			categoryId="info.scce.cinco.product.statechart.simulator.commands"
			id="info.scce.cinco.product.statechart.simulator.commands.RefreshAction">
		</command>
	 </extension>
	 <extension point="org.eclipse.ui.handlers">
		<handler
			commandId="info.scce.cinco.product.statechart.simulator.commands.SimulateAction"
			class="info.scce.cinco.product.statechart.simulator.actions.SimulateAction">
		</handler>
		<handler
			commandId="info.scce.cinco.product.statechart.simulator.commands.RefreshAction"
			class="info.scce.cinco.product.statechart.simulator.actions.RefreshAction">
		</handler>
	 </extension>
	 <extension point="org.eclipse.ui.bindings">
		<key
			commandId="info.scce.cinco.product.statechart.simulator.commands.SimulateAction"
			contextId="org.eclipse.ui.contexts.window"
			schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"
			sequence="M1+8">
	 	</key>
	 	<key
			commandId="info.scce.cinco.product.statechart.simulator.commands.RefreshAction"
			contextId="org.eclipse.ui.contexts.window"
			schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"
			sequence="M1+9">
	 	</key>
	 </extension>
	 <extension point="org.eclipse.ui.menus">
	 	<menuContribution locationURI="menu:org.eclipse.ui.main.menu?after=additions">
			<menu
				label="StateChart"
				id="info.scce.cinco.product.statechart.simulator.menus.StateChart"
				mnemonic="M">
				<command
          commandId="info.scce.cinco.product.statechart.simulator.commands.SimulateAction"
          id="info.scce.cinco.product.statechart.simulator.menus.StateChart.SimulateAction"
          mnemonic="S">
				</command>
				<command
          commandId="info.scce.cinco.product.statechart.simulator.commands.RefreshAction"
          id="info.scce.cinco.product.statechart.simulator.menus.StateChart.RefreshAction"
          mnemonic="R">
				</command>
			</menu>
		</menuContribution>
	    <menuContribution locationURI="toolbar:org.eclipse.ui.main.toolbar?after=additions">
			<toolbar id="info.scce.cinco.product.statechart.simulator.toolbars.StateChart">
				<command
					id="info.scce.cinco.product.statechart.simulator.toolbars.StateChart.SimulateAction"
					commandId="info.scce.cinco.product.statechart.simulator.commands.SimulateAction"
					icon="icons/StateChart.png"
					tooltip="Start a simulation of the current StateChart.">
				</command>
				<command
					id="info.scce.cinco.product.statechart.simulator.toolbars.StateChart.RefreshAction"
					commandId="info.scce.cinco.product.statechart.simulator.commands.RefreshAction"
					icon="icons/Refresh.png"
					tooltip="Refresh all StateChart views.">
				</command>
			</toolbar>
		</menuContribution>
	</extension>
</plugin>
